#disable requires on private modules
%global __requires_exclude perl.Video::DVDRip

%define prev	0

Name:		dvdrip
Version:	0.98.11
Release:	%mkrel 9
Summary:	DVD ripping GUI
License:	Artistic
URL:		http://www.exit1.org/dvdrip/
Group:		Video/Editors and Converters
%if %{prev}
Source:		http://www.exit1.org/dvdrip/dist/pre/%{name}-%{version}.tar.bz2
%else
Source:		http://www.exit1.org/dvdrip/dist/%{name}-%{version}.tar.gz
%endif
Source4:	Video-DVDRip.xml
Patch0:		dvdrip-0.98.7-fping.patch
Patch1:		dvdrip-0.98.10-cssmethod.patch
Patch2:		dvdrip-0.98.11-detect.patch
BuildRequires:	perl-devel
BuildRequires:	perl-Gtk2
BuildRequires:	perl-Gtk2-Ex-FormFactory
BuildRequires:	perl-Event-ExecFlow
BuildRequires:	perl-Event-RPC
BuildRequires:	perl-libintl-perl

Requires:	ImageMagick
Requires:	perl-libintl-perl
Requires:	perl-Gtk2-Ex-FormFactory
Requires:	ogmtools
Requires:	libdvdcss
Requires:	fping
Requires:	transcode
Requires(post):	shared-mime-info
Requires(postun): shared-mime-info
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

Provides:	Video-DVDRip
Obsoletes:	Video-DVDRip

%description
dvd::rip is a full featured DVD copy program written in Perl. It
provides an easy to use but feature-rich Gtk+ GUI to control almost
all aspects of the ripping and transcoding process. It uses the widely
known video processing swissknife transcode and many other Open Source
tools.

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

# icons
install -D -m 0644 %{name}-icon-hq.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# mime
install -D -m 644 %{SOURCE4} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# menu
mkdir %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=dvd::rip
GenericName=DVD copy program
Comment=A full featured DVD copy program
Exec=%{name}
Icon=%{name}
Terminal=false
MimeType=application/x-rip;
Type=Application
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Video;AudioVideoEditing;
EOF

for subdir in %{buildroot}%{perl_vendorlib}/LocaleData/*; do
echo "%lang($(basename $subdir)) $(echo $subdir|sed s!%{buildroot}!!)" >> %{name}.\lang
done

%files -f %{name}.lang
%doc README TODO Credits Changes COPYRIGHT
%{_bindir}/%{name}*
%{_mandir}/man?/*
%dir %{perl_vendorlib}/LocaleData
%{perl_vendorlib}/Video/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sun Apr 17 2016 daviddavid <daviddavid> 0.98.11-9.mga6
+ Revision: 1003197
- rebuild for Mageia 6 and against new perl-Event-RPC

* Wed Oct 15 2014 umeabot <umeabot> 0.98.11-8.mga5.tainted
+ Revision: 738828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.98.11-7.mga5.tainted
+ Revision: 678891
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Thu Oct 31 2013 tmb <tmb> 0.98.11-6.mga4.tainted
+ Revision: 548170
- Mageia 4 rebuild

* Sat Jun 08 2013 wally <wally> 0.98.11-5.mga4.tainted
+ Revision: 440535
- drop deprecated debian style menu file

* Mon Jan 21 2013 barjac <barjac> 0.98.11-4.mga3.tainted
+ Revision: 390601
- update group
- clean spec
- changed var pre to prev to avoid upsetting lexers
- stripped trailing spaces

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 dams <dams> 0.98.11-3.mga3.tainted
+ Revision: 289817
- add a patch to remove the check on 'hal'
- clean specfile
- fix ugly icon
- fix requires (no more plf tag)

* Tue Aug 21 2012 nanardon <nanardon> 0.98.11-2.mga3
+ Revision: 282818
- imported package dvdrip


* Thu Apr 28 2011 Götz Waschk <goetz@zarb.org> 0.98.11-2
- rebuild

* Sun Mar  7 2010 Goetz Waschk <goetz@zarb.org> 0.98.11-1plf2010.1
- new version

* Mon Feb 23 2009 Götz Waschk <goetz@zarb.org> 0.98.10-1plf2009.1
- rediff patch 1
- new version

* Sun Oct  5 2008 Götz Waschk <goetz@zarb.org> 0.98.9-1plf2009.0
- update license
- new version

* Tue Jan 15 2008 Götz Waschk <goetz@zarb.org> 0.98.8-2plf2008.1
- spec file cleanups
- rebuild for new perl 5.10.0

* Tue Aug 14 2007 Götz Waschk <goetz@zarb.org> 0.98.8-1plf2008.0
- new version

* Mon Aug  6 2007 Götz Waschk <goetz@zarb.org> 0.98.7-1plf2008.0
- rediff patch 0
- new version

* Sun Apr 15 2007 Götz Waschk <goetz@zarb.org> 0.98.6-1plf2007.1
- new version

* Sat Apr 14 2007 Götz Waschk <goetz@zarb.org> 0.98.5-1plf2007.1
- rediff patch 0
- new version

* Sat Mar 24 2007 Götz Waschk <goetz@zarb.org> 0.98.4-1plf2007.1
- new version

* Sat Mar 10 2007 Götz Waschk <goetz@zarb.org> 0.98.3-1plf2007.1
- rename the package
- new version

* Sat Nov 25 2006 Götz Waschk <goetz@zarb.org> 0.98.2-1plf2007.1
- new version

* Mon Sep  4 2006 Götz Waschk <goetz@zarb.org> 0.98.1-3plf2007.0
- disable make test

* Wed Aug 30 2006 Götz Waschk <goetz@zarb.org> 0.98.1-2plf2007.0
- fix buildrquires

* Sat Aug 26 2006 GÃ¶tz Waschk <goetz@zarb.org> 0.98.1-1
- New release 0.98.1

* Sun Aug 20 2006 Götz Waschk <goetz@zarb.org> 0.98.0-1plf2007.0
- bump deps
- new version

* Sun Aug 06 2006 GÃ¶tz Waschk <goetz@zarb.org> 0.97.13-1
- New release 0.97.13

* Sun Jul 16 2006 Götz Waschk <goetz@zarb.org> 0.97.12-2plf2007.0
- fix menu entry

* Sun Jul  2 2006 Götz Waschk <goetz@zarb.org> 0.97.12-1plf2007.0
- bump deps
- New release 0.97.12

* Mon Jun 26 2006 Götz Waschk <goetz@zarb.org> 0.97.11-4plf2007.0
- fix menu entry

* Sun Jun 18 2006 Götz Waschk <goetz@zarb.org> 0.97.11-3plf2007.0
- add xdg menu

* Sun Jun 18 2006 Götz Waschk <goetz@zarb.org> 0.97.11-2plf2007.0
- fix installation

* Sun Jun 18 2006 Götz Waschk <goetz@zarb.org> 0.97.11-1plf2007.0
- bump deps
- New release 0.97.11

* Tue Apr 25 2006 GÃ¶tz Waschk <goetz@zarb.org> 0.97.10-1plf
- New release 0.97.10

* Sun Apr 23 2006 GÃ¶tz Waschk <goetz@zarb.org> 0.97.9-1plf
- New release 0.97.9

* Tue Apr 11 2006 Götz Waschk <goetz@zarb.org> 0.97.8-1plf
- bump deps
- New release 0.97.8

* Mon Apr  3 2006 Götz Waschk <goetz@zarb.org> 0.97.7-1plf
- fix installation
- bump deps
- rediff patches
- New release 0.97.7

* Wed Jan 04 2006 GÃ¶tz Waschk <goetz@zarb.org> 0.97.6-1plf
- New release 0.97.6

* Wed Dec 28 2005 Götz Waschk <goetz@zarb.org> 0.97.5-1plf
- rediff patch 0
- New release 0.97.5

* Sun Dec 18 2005 Götz Waschk <goetz@zarb.org> 0.97.4-2plf
- fix patch 1 (crash in the preferences dialog)

* Sun Oct 30 2005 Götz Waschk <goetz@zarb.org> 0.97.4-1plf
- disable parallel build
- update patch 0
- new version

* Mon Oct 10 2005 Götz Waschk <goetz@zarb.org> 0.97.3-1plf
- bump deps
- new version

* Sat Aug 13 2005 trem <trem@zarb.org> 0.97.2-2plf
- add distsuffix
- fix %%buildroot%%_libdir/perl5/*/*/LocaleData/* for amd64

* Tue Aug  2 2005 Götz Waschk <goetz@zarb.org> 0.97.2-1plf
- bump deps
- new version

* Mon Jul 25 2005 Götz Waschk <goetz@zarb.org> 0.97.1-1plf
- fix deps
- rediff patch 1
- fix deps
- new version

* Thu Jun  2 2005 Götz Waschk <goetz@zarb.org> 0.52.5-2plf
- add a mime type for .rip and associate dvd::rip with it

* Tue May 17 2005 Götz Waschk <goetz@zarb.org> 0.52.5-1plf
- rediff patch 1
- New release 0.52.5

* Mon May 16 2005 Götz Waschk <goetz@zarb.org> 0.52.3-2plf
- mkrel

* Sun Mar 13 2005 GÃ¶tz Waschk <goetz@zarb.org> 0.52.3-1plf
- New release 0.52.3

* Mon Jan 10 2005 Götz Waschk <goetz@zarb.org> 0.52.2-1plf
- New release 0.52.2

* Sun Jan  9 2005 Götz Waschk <goetz@zarb.org> 0.52.1-1plf
- New release 0.52.1

* Tue Jan  4 2005 Götz Waschk <goetz@zarb.org> 0.52.0-1plf
- New release 0.52.0

* Mon Dec 13 2004 Götz Waschk <goetz@zarb.org> 0.51.4-1plf
- clean buildroot in install stage
- New release 0.51.4

* Sun Dec 12 2004 Götz Waschk <goetz@zarb.org> 0.51.3-1plf
- New release 0.51.3

* Mon Nov 15 2004 Götz Waschk <goetz@zarb.org> 0.51.2-2plf
- spec cleanup
- rebuild for new perl

* Tue Nov 02 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.51.2-1plf 
- new version

* Sun Oct 10 2004 Götz Waschk <goetz@zarb.org> 0.51.1-1plf
- fix deps
- new version

* Thu Jul 29 2004 Götz Waschk <goetz@zarb.org> 0.50.18-2plf
- update patch 0 to fix fping detection (Gilles Chauvin)

* Sun Apr 18 2004 Götz Waschk <goetz@plf.zarb.org> 0.50.18-1plf
- new version

* Mon Apr 12 2004 Götz Waschk <goetz@plf.zarb.org> 0.50.17-1plf
- use the mdkversion macro
- fix description
- new version

* Sun Oct 26 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.16-1plf
- new version

* Mon Aug 25 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.15-1plf
- rediff patch 1
- new version

* Wed Jul 16 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.14-2plf
- fix buildrequires
- fix directory ownership

* Sun Jun 29 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.14-1plf
- new version

* Sun May 25 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.13-2plf
- patch1: readd the configure option removed in 0.50.13
- add missing perl provides

* Sat May 24 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.13-1plf
- new version

* Thu May  1 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.12-1plf
- new version

* Sat Apr 26 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.11-1plf
- merge the dr_exec subpackage pack into the main one
- new version

* Mon Apr 14 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.10-2plf
- only require perl-Storable on Mandrake 8.2
- add obsoletes tag to allow upgrade from hackVideo-DVDRip

* Wed Apr  2 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.10-1plf
- new version

* Sat Mar 29 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.9-1plf
- split out dr_exec to an extra package
- new version

* Fri Mar  7 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.8-1plf
- new version

* Wed Mar  5 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.7-1plf
- new version

* Tue Mar  4 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.6-1plf
- new version

* Mon Mar  3 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.5-1plf
- new version

* Mon Feb 24 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.4-1plf
- new version

* Tue Feb 18 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.3-1plf
- new version

* Sat Feb 15 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.2-1plf
- new version

* Wed Feb 12 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.1-1plf
- new version

* Mon Feb 10 2003 Götz Waschk <goetz@plf.zarb.org> 0.50.0-1plf
- add COPYRIGHT to the docs
- requires latest transcode
- new version

* Thu Jan 23 2003 Götz Waschk <goetz@plf.zarb.org> 0.48.8-2plf
- from Erwan Velu <erwan@mandrakesoft.com>:
  - add dependancy on fping
  - patch for Mandrake's path to fping

* Tue Jan  7 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.48.8-1plf
- new version

* Sun Dec 15 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.48.6-1plf
- new version

* Sat Dec  7 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.48.5-2plf
- fix description as requested by the author

* Sat Dec  7 2002 Yves Duret <yves@zarb.org> 0.48.5-1plf
- new upstream version (the bug fix i needed :).
- added requires on ogmtools and libdvdcss.

* Fri Dec  6 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.48.4-1plf
- new version

* Wed Dec  4 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.48.3-1plf
- new version

* Sun Nov 24 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.48.2-1plf
- force transcode update
- new version

* Mon Nov 18 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.48.0-1plf
- force transcode update
- new stable version

* Thu Nov 14 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.12.1plf
- new release

* Wed Nov 13 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.11.1plf
- new release

* Fri Nov  8 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.10.1plf
- new release

* Sat Nov  2 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.09.1plf
- new release

* Fri Nov  1 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.08.1plf
- new release

* Tue Oct 29 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.06.1plf
- new release

* Thu Oct 17 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.05.1plf
- new release

* Tue Oct  8 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.04.1plf
- new release

* Sun Oct  6 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.03.1plf
- new release

* Tue Oct  1 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.02.1plf
- new release

* Mon Sep 30 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.47-0.01.1plf
- 0.47_01

* Mon Sep 23 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.46-1plf
- 0.46

* Thu Sep 19 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.45-0.05.1plf
- let's require a newer transcode
- new prerelease

* Mon Sep  2 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.45-0.04.1plf
- add buildrequires on perl-devel
- new version

* Sun Aug 25 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.45-0.03.1plf
- new version
- update buildrequires
- add menu entry
- add Mandrake 8.2 build option

* Wed Aug 21 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.45-0.02.1plf
- 0.45_02

* Sat Jul 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.44-2plf
- really fixed my address

* Sat Jul 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.44-1plf
- 0.44 final
- fixed my adress in changelog

* Tue Jul 16 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.44-0.05.1plf
- 0.44_05
- build with new perl
- spec cleanup

* Mon Jun 24 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.44-0.01.1plf
- 0.44_01

* Tue Jun 11 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.42-1plf
- 0.42

* Fri Jun  7 2002 Goetz Waschk <goetz@virgo.nanardon> 0.41-0.03.2plf
- add Credits and Changes to the documentation

* Thu Jun 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.41-0.03.1plf
- 0.41_03
- requires transcode >= 0.6.0-0.20020529.1plf

* Wed May 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.40-1plf
- 0.40
- requires transcode >= 0.6.0-0.20020514.1plf

* Tue May 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.40-0.01.1plf
- 0.40_01
- build with gcc 3.1
- dropped patch

* Mon May 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.39-2plf
- divx5 patch (Götz Waschk <waschk@informatik.uni-rostock.de)

* Tue Apr 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.39-1plf
- 0.39

* Fri Apr 19 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.39-0.05.1plf
- 0.39_05

* Thu Apr 11 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.39-0.04.1plf
- 0.39_04

* Mon Apr 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.39-0.02.1plf
- 0.39_02

* Sat Apr 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.39-0._01.1plf
- 0.39_01
- requires perl-Storable
- requires perl-Event

* Mon Apr 01 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.38-1plf
- 0.38 final

* Fri Mar 29 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.38-0._03.1plf
- 0.38_03

* Fri Mar 29 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.38-0._02.1plf
- 0.38_02
- changed summary

* Sun Mar 10 2002 Yves Duret <yduret@mandrakesoft.com> 0.34-1mdk
- first mandrake version
